// Login.js
import React, { useState } from 'react';
import { useNavigate } from 'react-router-dom';
import './App.css';

function Login() {
  const [login, setLogin] = useState('');
  const [password, setPassword] = useState('');
  const navigate = useNavigate();

  const handleLogin = (e) => {
    e.preventDefault();
    fetch('http://localhost:4000/api/login', {
      method: 'POST',
      headers: { 'Content-Type': 'application/json' },
      body: JSON.stringify({ login, password }),
    })
      .then((res) => {
        if (!res.ok) throw new Error('Błąd logowania');
        return res.json();
      })
      .then((data) => {
        sessionStorage.setItem('authToken', data.token);
        navigate('/admin');
      })
      .catch((err) => {
        alert('Niepoprawne dane logowania.');
      });
  };

  return (
    <div className="container">
      <div className="card">
        <h2>Logowanie do panelu</h2>
        <form onSubmit={handleLogin}>
          <div className="form-group">
            <label>Login</label>
            <input
              type="text"
              value={login}
              onChange={(e) => setLogin(e.target.value)}
              required
            />
          </div>
          <div className="form-group">
            <label>Hasło</label>
            <input
              type="password"
              value={password}
              onChange={(e) => setPassword(e.target.value)}
              required
            />
          </div>
          <button type="submit" className="button">
            Zaloguj
          </button>
        </form>
      </div>
    </div>
  );
}

export default Login;

